from flask import Flask,request,render_template,session
from werkzeug.utils import secure_filename
from werkzeug.datastructures import CombinedMultiDict
import os,random
from 练习1 import MyForm

app = Flask(__name__)
app.config["SECRET_KEY"] = os.urandom(24)

UPLOAD = os.path.join(os.path.dirname(__file__),"img")

@app.route("/login/",methods=["GET","POST"])
def hello():
    if request.method == "GET":
        session["code"] = random.randint(1000,9999)
        session.permanent = True
        return render_template("练习.html")

    else:
        form1 = MyForm(request.form)
        form2 = MyForm(CombinedMultiDict([request.form,request.files]))
        if form1.validate():
            if form2.validate():
                filed = request.files.get("files")
                filename = secure_filename(filed.filename)
                filed.save(os.path.join(UPLOAD,filename))
                return "注册成功"
        else:
            print(form1.errors,form2.errors)

            return "注册失败"





if __name__ == "__main__":
    app.run(debug=True)

